/* $Id: loader.lds,v 1.2 2004/03/11 02:40:05 sei_core Exp $ */

/*
 * Boot Loader for Sony BSNC DIF-144, PDW-V1/5x0
 * 
 * Copyright 2002, 2003, 2004 Sony Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
 *
 */


OUTPUT_ARCH(mips)
ENTRY(_start)

SECTIONS
{
	.text : {
		_ftext = .;
		*(.text)
		*(.rodata)
		*(.rodata1)
		*(.text.init)
	} = 0 
	.rodata : {
		*(.rodata)
	}
	_etext = .;
	.data : AT( _etext ) {
		_fdata = .;
		*(.data)
		_edata = .;
	}
	.bss  : {
		*(.bss)
		_end = . ;
	}
	/DISCARD/ : {
		*(.text.exit)
		*(.data.exit)
	}
}

